Summary:        Backup and restore utilities for the XFS filesystem
Name:           xfsdump
Version:        3.1.12
Release:        4%{?dist}
License:        GPL+
Url:            https://xfs.wiki.kernel.org/
Source0:        http://kernel.org/pub/linux/utils/fs/xfs/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  make, gcc, libtool, gettext, gawk
BuildRequires:  xfsprogs-devel, libuuid-devel, libattr-devel ncurses-devel
Requires:       xfsprogs >= 2.6.30, attr >= 2.0.0



%description
xfsdump  backs  up  files  and  their  attributes in a filesystem.
The files are dumped to storage media, a regular file, or standard
output.Options allow the operator to have  all  files  dumped, just
files that have changed since a previous dump, or just files contained
in a list of pathnames.




%prep
%autosetup



%build
%configure
%make_build



%install
make DIST_ROOT=%{buildroot} install
rm -rf %{buildroot}/%{_datadir}/doc/xfsdump/

(cd %{buildroot}/%{_sbindir}; mv ../../sbin/xfsdump .)
(cd %{buildroot}/%{_sbindir}; mv ../../sbin/xfsrestore .)

mkdir -p %{buildroot}/%{_sharedstatedir}/xfsdump/inventory

%find_lang %{name}



%files -f %{name}.lang
%license doc/COPYING
%doc README doc/CHANGES doc/README.xfsdump doc/xfsdump_ts.txt
%{_sbindir}/*
%{_sharedstatedir}/xfsdump/inventory
%{_mandir}/man8/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.12-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.12-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.12-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.1.12-1
- Upgrade to upstream version 3.1.12

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.11-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 5 2022 cunshunxia <cunshunxia@tencent.com> - 3.1.11-1
- initial build
